Package org.eclipse.m2m.atl.adt.ui.preferences

## Class CreateProfileDialog

- java.lang.Object
- - org.eclipse.jface.window.Window
  - - org.eclipse.jface.dialogs.Dialog
    - - org.eclipse.jface.dialogs.TrayDialog
      - - org.eclipse.jface.dialogs.StatusDialog
        - - org.eclipse.m2m.atl.adt.ui.preferences.CreateProfileDialog

All Implemented Interfaces:
  `org.eclipse.jface.window.IShellProvider`

    public class CreateProfileDialog
    extends org.eclipse.jface.dialogs.StatusDialog

The dialog to create a new profile.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jface.window.Window

`org.eclipse.jface.window.Window.IExceptionHandler`

### Field Summary

### Fields inherited from class org.eclipse.jface.dialogs.Dialog

`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

### Fields inherited from class org.eclipse.jface.window.Window

`CANCEL, OK, resizeHasOccurred`

### Constructor Summary

Constructors
`CreateProfileDialog​(org.eclipse.swt.widgets.Shell parentShell, ProfileManager profileManager)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `create()`
`org.eclipse.swt.widgets.Control` `createDialogArea​(org.eclipse.swt.widgets.Composite parent)`
`protected void` `doValidation()` Validate the current settings
`protected void` `okPressed()`

### Methods inherited from class org.eclipse.jface.dialogs.StatusDialog

`configureShell, createButtonBar, createButtonsForButtonBar, getStatus, setImage, setStatusLineAboveButtons, setTitle, updateButtonsEnableState, updateStatus`

### Methods inherited from class org.eclipse.jface.dialogs.TrayDialog

`closeTray, createHelpControl, getLayout, getTray, handleShellCloseEvent, isDialogHelpAvailable, isHelpAvailable, openTray, setDialogHelpAvailable, setHelpAvailable`

### Methods inherited from class org.eclipse.jface.dialogs.Dialog

`applyDialogFont, buttonPressed, cancelPressed, close, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, createButton, createContents, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getDialogBoundsSettings, getDialogBoundsStrategy, getImage, getInitialLocation, getInitialSize, getOKButton, initializeBounds, initializeDialogUnits, isResizable, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

### Methods inherited from class org.eclipse.jface.window.Window

`canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CreateProfileDialog

    public CreateProfileDialog​(org.eclipse.swt.widgets.Shell parentShell,
                               ProfileManager profileManager)

### Method Detail

#### create

    public void create()

Overrides:
  `create` in class `org.eclipse.jface.dialogs.StatusDialog`

#### createDialogArea

    public org.eclipse.swt.widgets.Control createDialogArea​(org.eclipse.swt.widgets.Composite parent)

Overrides:
  `createDialogArea` in class `org.eclipse.jface.dialogs.Dialog`

#### doValidation

    protected void doValidation()

Validate the current settings

#### okPressed

    protected void okPressed()

Overrides:
  `okPressed` in class `org.eclipse.jface.dialogs.Dialog`